Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBCharData

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBCharData`

All Implemented Interfaces:
  CharacterData, Node

Direct Known Subclasses:
  XDBComment, XDBText

Deprecated. as of Oracle Database 11g release 1, use oracle.xml.parser.v2.CharData

      public class XDBCharData

extends XDBNode
implements CharacterData

This class implements the W3C CharacterData interface

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` `appendData(java.lang.String appstring)` Deprecated. append the specified string to the char data
`void` `deleteData(int offset, int count)` Deprecated. delete the specified substring string from the char data
`java.lang.String` `getData()` Deprecated. Returns the char data
`int` `getLength()` Deprecated. gets the length of the char data
`void` `insertData(int offset, java.lang.String appstring)` Deprecated. insert the specified string into the char data
`void` `replaceData(int offset, int count, java.lang.String repdata)` Deprecated. replace the specified substring string in the char data
`void` `setData(java.lang.String data)` Deprecated. sets the char data
`java.lang.String` `substringData(int offset, int count)` Deprecated. gets the specified substring of the char data

Methods inherited from class oracle.xdb.dom.XDBNode

`appendChild, cloneNode, close, compareDocumentPosition, equals, finalize, getAttributes, getBaseURI, getChildNodes, getExpandedName, getFeature, getFirstChild, getInputStream, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveType, getQualifiedName, getSchemaNode, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isDefaultNamespace, isEqualNode, isNilled, isSameNode, isSchemaBased, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setTextContent, setUserData, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getData

    public java.lang.String getData()
                             throws DOMException

  Deprecated.
  Returns the char data
  Specified by:
    `getData` in interface `CharacterData`
  Returns:
    the character data
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### setData

    public void setData(java.lang.String data)
                 throws DOMException

  Deprecated.
  sets the char data
  Specified by:
    `setData` in interface `CharacterData`
  Throws:
    `DOMException`

### getLength

    public int getLength()
                  throws DOMException

  Deprecated.
  gets the length of the char data
  Specified by:
    `getLength` in interface `CharacterData`
  Returns:
    data len
  Throws:
    `DOMException`

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws DOMException

  Deprecated.
  gets the specified substring of the char data
  Specified by:
    `substringData` in interface `CharacterData`
  Returns:
    substring
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified `offset` is negative or greater than the number of 16-bit units in `data`, or if the specified `count` is negative.
    DOMSTRING_SIZE_ERR: Raised if the specified range of text does not fit into a `DOMString`.

### appendData

    public void appendData(java.lang.String appstring)
                    throws DOMException

  Deprecated.
  append the specified string to the char data
  Specified by:
    `appendData` in interface `CharacterData`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### insertData

    public void insertData(int offset,
                           java.lang.String appstring)
                    throws DOMException

  Deprecated.
  insert the specified string into the char data
  Specified by:
    `insertData` in interface `CharacterData`
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified `offset` is negative or greater than the number of 16-bit units in `data`.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws DOMException

  Deprecated.
  delete the specified substring string from the char data
  Specified by:
    `deleteData` in interface `CharacterData`
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified `offset` is negative or greater than the number of 16-bit units in `data`, or if the specified `count` is negative.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String repdata)
                     throws DOMException

  Deprecated.
  replace the specified substring string in the char data
  Specified by:
    `replaceData` in interface `CharacterData`
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified `offset` is negative or greater than the number of 16-bit units in `data`, or if the specified `count` is negative.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.